<!DOCTYPE html>
<html lang="en">

<head>
    <%- include('./partials/head.ejs') %>
        <title>View Post</title>
</head>

<body>
    <%- include('./partials/sidebar.ejs') %>

        <div class="page-content pt-3 pl-1 pr-1">
            <div class="container">
                <div class="row justify-content-md-center">
                    <div class="col-lg-8 pr-3">
                        <div class="d-md-flex">
                            <%- include('./partials/search.ejs') %>
                                <div class="d-flex justify-content-start mt-3">
                                    <div class="p-2 bd-highlight" style="color: rgba(0, 0, 0, 0.5);">Feeds</div>
                                    <div class="p-2 bd-highlight text-orange" style="font-weight: bold;"><i
                                            class="fas fa-caret-right text-orange mr-2"></i>
                                        <%= post.User.fullName %>'s Post
                                    </div>
                                </div>
                                <div class="d-flex mt-3">
                                    <img src="http://bloggie-backend.herokuapp.com/<%= post.imagePost %>" alt=""
                                        width="100%" height="320px" style="border-radius: 20px 20px 0px 0px;">
                                </div>
                                <div class="d-flex bd-highlight mt-3 mx-2">
                                    <div class="p-2 bd-highlight">
                                        <img src="http://bloggie-backend.herokuapp.com/<%= post.User.imageProfile %>"
                                            alt="<%= post.User.username %>" width="45" height="45"
                                            class="mr-3 rounded-circle">
                                    </div>
                                    <div class="py-3 bd-highlight">
                                        <div class="media-body">
                                            <h4 class="m-0">
                                                <%= post.User.fullName %>
                                            </h4>
                                            <p class="font-weight-normal mb-0">@<%= post.User.username %>
                                            </p>
                                        </div>
                                    </div>
                                    <div class="ml-auto p-2 bd-highlight">
                                        <i class="fas fa-heart mr-1 ml-5"></i>30
                                        <i class="fas fa-comment-dots mr-1 ml-2"></i>28
                                        <i class="fas fa-share mr-1 ml-2"></i>5
                                    </div>
                                </div>
                                <div class="d-flex bd-highlight mx-2">
                                    <div class="p-2 bd-highlight">
                                        <button disabled class="btn-std"><i
                                                class="fa fa-heartbeat mr-1"></i>Health</button>
                                    </div>
                                    <div class="ml-auto pt-0">
                                        <i class="far fa-bookmark mr-2 text-orange"></i><span class="text-orange">Save
                                            This Post</span>
                                    </div>
                                </div>
                                <div class="d-flex flex-column bd-highlight mx-2 mt-3">
                                    <div class="p-2 bd-highlight">
                                        <span style="font-weight: bold;">
                                            <%= post.title %>
                                        </span>
                                    </div>
                                    <div class="p-2 bd-highlight">
                                        <span style="text-align: justify;color: rgba(0, 0, 0, 0.75);">
                                            <%= post.content %>
                                        </span>
                                    </div>
                                </div>
                                <!-- <div class="d-flex bd-highlight mt-5 mx-2">
                                    <div class="p-2 bd-highlight">
                                        <span style="font-weight: bold;">Tags</span>
                                    </div>
                                </div> -->
                                <div class="d-flex bd-highlight mt-3 mx-2">
                                    <div class="p-2 bd-highlight">Posted by <%= post.User.fullName %> at <%= new
                                                Date(post.createdAt).getHours() %>.<%= new
                                                    Date(post.createdAt).getMinutes() %>
                                    </div>
                                    <div class="ml-auto p-2 bd-highlight">
                                        <%= new Date(post.createdAt).getFullYear() %>-<%= new
                                                Date(post.createdAt).getMonth() %>-<%= new
                                                    Date(post.createdAt).getDate() %>
                                    </div>
                                </div>
                                <div class="separator"></div>
                                <div class="d-flex bd-highlight mt-3">
                                    <div class="p-2 bd-highlight">
                                        <img src="/public/img/ava_dipta.png" alt="" width="45" height="45"
                                            class="mr-3 rounded-circle">
                                    </div>
                                    <div class="py-3 bd-highlight">
                                        <form action="">
                                            <textarea name="" id="" cols="50" rows="5"></textarea> </br>
                                            <button type="submit" class="btn btn-primary">Post Comment</button>
                                        </form>
                                    </div>
                                </div>
                                <div class="separator"></div>
                                <div class="d-flex bd-highlight mt-3 mx-2">
                                    <div class="p-2" style="font-weight: bold;">
                                        <%= post.Posts_Comments.length %> Comments
                                    </div>
                                </div>
                                <% post.Posts_Comments.forEach(comment=> { %>
                                    <div class="d-flex bd-highlight mb-3">
                                        <div class="p-2 bd-highlight">
                                            <img src=<%=comment.User.imageProfile %> alt="<%= comment.User.username %>"
                                                width="45" height="45" class="mr-3 rounded-circle">
                                        </div>
                                        <div class="px-1 py-3 bd-highlight" style="font-weight: bold;">
                                            <%= comment.User.fullName %>
                                        </div>
                                        <div class="px-2 py-3 bd-highlight" style="color: rgba(0, 0, 0, 0.75);">
                                            <%= comment.content %>
                                        </div>
                                        <div class="ml-auto py-3" style="color: rgba(0, 0, 0, 0.75);font-size: 10px;">3
                                            hours ago</div>
                                    </div>
                                    <% }) %>
                        </div>
                        <%- include('./partials/rightNav.ejs') %>
                            <%- include('./partials/logout.ejs') %>
                                <%- include('./partials/about.ejs') %>
                                    <%- include('./partials/term.ejs') %>
                                        <%- include('./partials/help.ejs') %>
                    </div>
                </div>
            </div>
        </div>

        <%- include('./partials/script.ejs') %>
</body>

</html>